.playlistA {
  padding: 1rem;
  inline-size: 13em;
  box-sizing: border-box;
  border-radius: .25rem;
  background: var(--gray40);
  transition: .3s background;
}

.playlistA:hover,
.playlistA:focus-within {
  background: var(--gray30);
  cursor: pointer;
}

.playlistA:hover .playlistA-cover button,
.playlistA:focus-within .playlistA-cover button{
  opacity: 1;
  transform: translateY(0);
}

.playlistA-cover {
  position: relative;
  margin-block-end: 1rem;
  border-radius: .75rem;
  overflow: hidden;
}

.playlistA-cover img{
  vertical-align: middle;
  inline-size: 100%;
  block-size: auto;
}

.playlistA button {
  position: absolute;
  right: .5rem;
  bottom: .5rem;
  opacity: 0;
  transform: translateY(.5rem);
  transition: .3s opacity, .3s transform;
}

.playlistA-title {
  margin: 0;
  font: var(--baseFontBold);
  color: var(--white);
}

.playlistA-description {
  margin: 0;
  font: var(--baseFont);
}